Affected QGIS version:2.10.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21249
Description

Hi,

QGIS 2.10.1 on Win7 64 bits refers.

| read a CSV file (as attributes only) stipulating that "first record has field names"
Record 1 is as follows:
"SALnum","SALnam","1","2","3","4","5","6","7","8","9","10+"

When | open the attribute table, | see that fields 1 & 2 have names SALnum and SALnam, but the rest are called 'Field_3', 'Field_4' and
SO0 on.

When | edit record 1 of this CSV file to look like:
IISALnumll’llSALnam"’ll1 pll’"2pll,ll3p||,ll4pll,115p||7ll6p","7pll,ll8p||,||9pll,ll1 0+pll

Now | get the correct field names (albeit 1p instead of just "1")

Whilst this is a silent error, it can cause the user problems when JOINING data, or doing anything else that requires knowledge of attribute
field names (like exporting data to a client expecting numeric field names).

Regards,
Zoltan

Associated revisions

Revision 379652d2 - 2018-08-27 03:55 AM - Andrea Giudiceandrea

delimited text: let field names be numerical value

fixes #19638 "CSV: numeric header gets a trailing underscore + 1"

fixes #13187 "Numeric FIELD names are lost on CSV import"

Revision a5fd8137 - 2018-08-31 02:32 AM - Andrea Giudiceandrea

delimited text: let field names be numerical value

fixes #19638 "CSV: numeric header gets a trailing underscore + 1"
fixes #13187 "Numeric FIELD names are lost on CSV import"

(cherry picked from commit 379652d2022c5373d679d0d0edddfa53f27b9453)
History

#1 - 2015-08-06 11:47 PM - Chris Crook

Fixed in pull request 2237

#2 - 2015-08-06 11:47 PM - Chris Crook
- Status changed from Open to Closed
